using System;

namespace sudaranje_brojeva
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int prvi = int.Parse(Console.ReadLine());
            int drugi = int.Parse(Console.ReadLine());
            int kon = 0;
            int m = 1;
            while (prvi > 0 || drugi> 0)
            {
                if (prvi != 0 && drugi != 0)
                {
                    if (prvi % 10 > drugi % 10)
                    {
                        kon += (prvi % 10) * m;
                        m *= 10;
                    }
                    else if (prvi % 10 < drugi % 10)
                    {
                        kon += (drugi % 10) * m;
                        m *= 10;
                    }
                    else
                    {
                        kon += (drugi % 10) * m + (drugi % 10) * m * 10;
                        m *= 100;
                    }
                }
                else 
                {
                    if(prvi == 0)
                    {
                        kon += (drugi % 10) * m;
                        m *= 10;
                    }
                    else
                    {
                        kon += (prvi % 10) * m;
                        m *= 10;
                    }
                }
                prvi/=10;
                drugi/=10;

            }
            Console.WriteLine(kon);
        }
    }
}